curl -X GET "https://api.nedzo.ai/v1/contacts?workspaceId=789e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+14155551234",
"timezone": "America/Los_Angeles",
"tags": ["newsletter", "vip"],
"customFields": {
"Lead Source": "Website",
"MRR": "250"
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
Contacts
List contacts
Retrieve all contacts in a workspace via the Nedzo REST API. Filter by workspace ID with account keys, or list contacts scoped to a workspace key.
GET
/
contacts
curl -X GET "https://api.nedzo.ai/v1/contacts?workspaceId=789e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+14155551234",
"timezone": "America/Los_Angeles",
"tags": ["newsletter", "vip"],
"customFields": {
"Lead Source": "Website",
"MRR": "250"
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
workspaceId is required for account-scoped API keys and inferred from the key for workspace-scoped keys. See Workspace ID and Request Scope.Workspace UUID (required for account API keys, optional for workspace API keys)
curl -X GET "https://api.nedzo.ai/v1/contacts?workspaceId=789e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+14155551234",
"timezone": "America/Los_Angeles",
"tags": ["newsletter", "vip"],
"customFields": {
"Lead Source": "Website",
"MRR": "250"
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
Was this page helpful?
⌘I
